Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class WastebasketSelector

    java.lang.Object
      oracle.ifs.beans.Selector
          oracle.ifs.beans.WastebasketSelector

    public class WastebasketSelector

extends Selector

The WastebasketSelector class extends Selector, and only finds public objects that have been deleted by the current user.

(Unpublished)

Field Summary

Fields inherited from class oracle.ifs.beans.Selector
`m_CursorId, m_CursorItems, m_CursorPos, m_MaxItemCount, m_RecursiveSearch, m_ResolvedCursorPos, m_ResolvedItems, m_SearchClass, m_SearchSelection, m_Session, m_SortSpecification`

Constructor Summary
`WastebasketSelector(LibrarySession session)` Construct a WastebasketSelector object.

Method Summary
`protected int` | `getSelectorItemCount()` Get the search item count.
`protected java.util.Vector` | `listSelectorItems()` List the Selector items.
`protected void` | `openSelector()` Opens a cursor on this Search ready for reading search results.

Methods inherited from class oracle.ifs.beans.Selector
`closeItems, getItemCount, getItems, getItems, getMaxItemCount, getSearchClassname, getSearchSelection, getSortSpecification, isRecursiveSearch, nextItem, openItems, resetItems, resolveSortSpecification, setMaxItemCount, setRecursiveSearch, setSearchClassname, setSearchSelection, setSortSpecification, verifyConnected`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WastebasketSelector

    public WastebasketSelector(LibrarySession session)
                        throws IfsException

  Construct a WastebasketSelector object.

  Parameters:
    `session` - the current session.
  Throws:
    `IfsException` - if an error occurs
  (Published)

Method Detail

### listSelectorItems

    protected java.util.Vector listSelectorItems()
                                          throws IfsException

  Description copied from class: `Selector`
  List the Selector items.

  Overrides:
    `listSelectorItems` in class `Selector`
  Returns:
    Vector of Selector items.
  Throws:
    `IfsException` - if the operation fails.

### getSelectorItemCount

    protected int getSelectorItemCount()
                                throws IfsException

  Description copied from class: `Selector`
  Get the search item count.

  Overrides:
    `getSelectorItemCount` in class `Selector`
  Returns:
    the number of items
  Throws:
    `IfsException` - if operation fails.

### openSelector

    protected void openSelector()
                         throws IfsException

  Description copied from class: `Selector`
  Opens a cursor on this Search ready for reading search results. This method is split out from openItems(), so that it can be overridden by WastebasketSelector.

  Overrides:
    `openSelector` in class `Selector`
  Throws:
    `IfsException` - if the operation fails.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD